package com.docus.server.sys.controller;

import com.docus.infrastructure.util.easyexcel.ExcelUtil;
import com.docus.infrastructure.web.api.CommonResult;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@RestController
public class TestController {


    @RequestMapping("upload")
    public void upload(MultipartFile multipartFile){
        List<Object> objects = ExcelUtil.readExcel(multipartFile, null);
        System.out.println(objects);
    }


    @RequestMapping("test")
    public CommonResult test(){

        return CommonResult.success("");
    }
}
